Bug 21730 - Downloads hang during multi-file download
Downloads hang during multi-file download
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-12-04 23:47 EST by rwv1
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-27 16:50:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rwv1 2000-12-04 23:47:42 EST
Suppose there are a number of updates to download to a given machine.
Up2date accurately identifies them, offers them to the user and downloads
the .hdr files. It then properly begins downloading file one. After the
file has reached 100% downloaded (top status bar), the update agent seems
to just hang, and the second status bar (overall progress) doesn't update. 

If the user runs xkill to kill the agent, they can then rerun the agent. It
will offer the same files(which the user again selects), recognizes the
.hdr files are already there, recognizes the first file is already
downloaded and update the overall status bar. The download of the next file
then begins, but hangs at the end of the download of that file. Again,
xkilling the agent and following the same process allows the user to
continue through the selected patches.

Once this process has been repeated for the remaining updates, the
installation occurs normally, but the .hdr files are not automatically
Comment 1 Preston Brown 2000-12-08 15:39:18 EST
something strange must be happening on your system.  can you run 'up2date' from
the command line, not from the menu, and see if any errors appear in the
terminal window at the point where it hangs please?
Comment 2 rwv1 2000-12-19 00:29:21 EST
That produced the following error:

Traceback (innermost last):
 File "/usr/share/rhn/up2date/gui.py", line 350, in doRetrieval
 File "/usr/share/rhn/up2date/up2date.py", line 527 in getPackage
     raise CommunicationError(f.faultString)
up2date.CommunicationError: Error communicating with server. The message was:
Invalid RPM package requested:

Does this mean there is no source package available, or is it looking in the
wrong directory?
Comment 3 Preston Brown 2000-12-27 16:50:12 EST
source package retrieval should be fixed at this moment, but I am asking the 
developer to double check.  For now, if you are still experiencing trouble, a 
simple work around would be to turn off the "retrieve source packages" option 
in the /etc/sysconfig/rhn/up2date config file.

Cristian, can you check the source package retrieval code please?
Comment 4 Preston Brown 2001-02-09 00:35:35 EST
souce package retrieval has been corrected in up2date 2.1.7.

Note You need to log in before you can comment on or make changes to this bug.